1. Пользоваться форумом на планшетах и телефонах стало удобнее благодаря Tapatalk

API Exchanger - Меняем версию API в плагинах

Тема в разделе "Maya", создана пользователем Styler, 12 сен 2005.

Модераторы: Dark™, Skif
  1. Styler

    Styler Мастер

    С нами с:
    19.08.2003
    Сообщения:
    669
    Симпатии:
    0
    Баллы:
    118
    Написал такую вот тулзу.. Надеюсь будет кому-нить полезно.

    Для тех кто не в курсе:
    Maya при загрузке плагина сравнивает его версию API(под которую он
    скомпелирован) с текущей версией Maya API и если они не соответствуют -
    окуратно посылает "в сад". Если попробовать форсировать это значение в самом плагине на другое, то В большинстве случаев можно заставить работать старые плагины на более новой версии Maya.


    Пользоваться очень просто. Загружаем в прогу плагин и меняем версию, думаю что разобрать будет не трудно ;)

    лежит здесь:
    turtle101@mail.ru/COMMON
    pass:turtle
     
  2. SAFE

    SAFE Активный участник

    С нами с:
    11.09.2004
    Сообщения:
    223
    Симпатии:
    0
    Баллы:
    11
    Вот это круто! Вот это по нашему!
    Спасибо Styler!
     
  3. eof

    eof Активный участник

    С нами с:
    14.08.2005
    Сообщения:
    238
    Симпатии:
    0
    Баллы:
    12
    сенкью вери матч!!!
     
  4. Решатель

    Решатель Знаток

    С нами с:
    20.04.2005
    Сообщения:
    1.413
    Симпатии:
    0
    Баллы:
    44
  5. Generic

    Generic Активный участник

    С нами с:
    07.06.2005
    Сообщения:
    108
    Симпатии:
    0
    Баллы:
    11
    Спасибо
     
  6. DEL

    DEL Активный участник

    С нами с:
    20.04.2005
    Сообщения:
    380
    Симпатии:
    0
    Баллы:
    13
    Ну блин!
    Прям слов нету.
     
  7. Guest

    Попытка полечить таким образом mtor_maya6.mll не увенчалась успехом. :-(
     
  8. eranicle

    eranicle Знаток

    С нами с:
    24.02.2005
    Сообщения:
    228
    Симпатии:
    0
    Баллы:
    28
    спасибо большое
     
  9. shrisha

    shrisha Пользователь сайта

    С нами с:
    19.07.2005
    Сообщения:
    22
    Симпатии:
    0
    Баллы:
    2
    Styler rulez forever!!!
     
  10. shrisha

    shrisha Пользователь сайта

    С нами с:
    19.07.2005
    Сообщения:
    22
    Симпатии:
    0
    Баллы:
    2
    Попробывал. Maxwell и Turtle не пашут :( но все равно круто.
     
  11. Styler

    Styler Мастер

    С нами с:
    19.08.2003
    Сообщения:
    669
    Симпатии:
    0
    Баллы:
    118
    Могу сразу сказать что ТОЧНО работать НЕ будет...

    1) 6.0->6.5->7.0 (плагины использующие импорт/экспорт в свои форматы приводит к вылету из Maya(обращение по нулевому указателю), поскольку в более страших версиях API отсутствуют/перемещены некоторые процедуры).

    2) рендеры-плагины (по вышеупомянутым причинам)

    ..Остальное под вопросом...
     
Модераторы: Dark™, Skif

Поделиться этой страницей